Index: database/seeders/DocumentsTableSeeder.php
===================================================================
--- database/seeders/DocumentsTableSeeder.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ database/seeders/DocumentsTableSeeder.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
@@ -3,4 +3,5 @@
 namespace Database\Seeders;
 
+use App\Models\Document;
 use Carbon\Carbon;
 use Illuminate\Database\Seeder;
@@ -15,105 +16,95 @@
     public function run()
     {
-        \DB::table('documents')->insert([
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document tests",
-                "arch_id" => "HR1505",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "2",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15033",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document testasd",
-                "arch_id" => "HR150124",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "3",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR1501421",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150213",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150ad",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "2",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150234",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "3",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15012321",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15021312",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15312430",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-        ]);
+//        \DB::table('documents')->insert([
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document tests",
+//                "arch_id" => "HR1505",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "2",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15033",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document testasd",
+//                "arch_id" => "HR150124",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "3",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR1501421",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150213",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150ad",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "2",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150234",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "3",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15012321",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15021312",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15312430",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//        ]);
+        Document::factory()->count(300)->create();
     }
 }
